const { Component } = wp.element;
import PropTypes from 'prop-types';

class Pagination extends Component {
    static PropTypes = {
        post: PropTypes.object.isRequired
    }

    render() {
        const { current, total, cl } = this.props;
        var rows = [], i = 0;
        while (++i <= parseInt(total)) rows.push(i);
        return(
            <div className="fff-pagination">
                <ul>
                    { parseInt(current) > 1 && <li data-page={parseInt(current) - 1} onClick={cl}>«</li> }
                    {rows.map(function (i) {
                        const curCl = ( current == i ) ? 'fff-current' : '';
                        return <li data-page={i} className={curCl} onClick={cl}>{i}</li>;
                    })}
                    { parseInt(current) < parseInt(total) && <li data-page={parseInt(current) + 1} onClick={cl}>»</li> }
                </ul>
            </div>
        )
    }
}
export default Pagination;