const { Component } = wp.element;

class CheckboxType extends Component {
    render() {
        const { mainfilter, filter, option, handleCheck, name, query } = this.props;
        let queryOption = [];
        if(query != ''){
            queryOption = query.split(",");
        }
        if ( Object.keys(filter).length && filter.length ) {
            return(
                <div className="fff-sidebar-cont fff-nav-checkbox-cont">
                    {name != '' && <p className="fff-sidebar-title">{name}</p> }
                    {filter.map(result => {
                        const parent = ( result.parent !== undefined ) ? result.parent : 0;
                        const checkVal = ( queryOption.includes(result.id.toString()) ) ? 'true' : '';
                        if(parent == 0){
                            return (
                                <div className="fff-nav-checkbox">
                                    <input id={`fff-check-${result.id}-${mainfilter}`} type="checkbox" name={option} value={result.id} onChange={handleCheck} checked={checkVal} />
                                    <label for={`fff-check-${result.id}-${mainfilter}`}>{result.name}</label>
                                </div>
                            );
                        }
                    } ) }
                </div>
            )
        }

        return null;
    }
}

export default CheckboxType;