const { Component } = wp.element;

class Searchbar extends Component {
    render() {
        const { __ } = wp.i18n;
        const { option, name, handleSearch, query } = this.props;
        return(
            <div className="fff-sidebar-cont fff-nav-searchbar-cont">
                {name != '' && <p className="fff-sidebar-title">{name}</p>}
                <div className="fff-nav-searchbar-inp">
                    <input name={option} type="text" placeholder={__( 'Search...', 'fffilter' )} onChange={handleSearch} value={query} />
                </div>
            </div>
        )
    }
}

export default Searchbar;