<?php
$all_filetrs = $this->getFilter();
?>

<?php if(!empty($all_filetrs)){ ?>
<div class="ff-filters-all-table fff-wrap">
    <table>
        <thead>
            <tr>
                <th><?php echo esc_html__('Name', 'fffilter'); ?></th>
                <th><?php echo esc_html__('Post type', 'fffilter'); ?></th>
                <th><?php echo esc_html__('Shortcode', 'fffilter'); ?></th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            <?php 
            foreach( $all_filetrs as $filter ){ 
            $filter_name = $this->getOption( $filter->ID, 'filter_name' );    
            $filter_post_type = ( $this->getOption( $filter->ID, 'post_types' ) != '' ) ? $this->getOption( $filter->ID, 'post_types' ) : 'posts';    
            ?>
            <tr data-id="<?php echo esc_attr($filter->ID); ?>">
                <td>
                    <a href="<?php echo esc_url($this->admin_page_url) . '&edit=' . esc_attr($filter->ID); ?>"><?php echo esc_html($filter_name); ?></a>
                </td>
                <td>
                    <p><?php echo esc_html($filter_post_type); ?></p>
                </td>
                <td>
                    <input class="fff-shortcode" type="text" value='[ff_filter id="<?php echo esc_attr($filter->ID); ?>"]' readonly />
                </td>
                <td>
                    <a class="ff-table-option" href="<?php echo esc_url($this->admin_page_url) . '&edit=' . esc_attr($filter->ID); ?>">
                        <img src="<?php echo FFF_PLUGIN_URL . '/assets/img/draw.svg' ?>" />
                    </a>
                    <a class="ff-table-option fff-remove-filter" href="#">
                        <img src="<?php echo FFF_PLUGIN_URL . '/assets/img/trash.svg' ?>" />
                    </a>
                </td>
            </tr>
            <?php } ?>
        </tbody>
    </table>
</div>
<?php } ?>