<div class="fff-action-buttons">
    <a class="fff-button" href="<?php echo esc_url($this->admin_page_url); ?>"><?php echo esc_html__('Back', 'fffilter'); ?></a>
    <button type="submit" class="fff-button"><?php echo esc_html__('Save', 'fffilter'); ?></button>
</div>

<?php if($edit_option != ''){ ?>
<div class="fff-shortcode">
    <p><?php echo esc_html__('Copy this shortcode and paste it into your post or page:', 'fffilter'); ?></p>
    <span class="fff-shortcode-input">
        <input type="text" value='[ff_filter id="<?php echo esc_attr($edit_option); ?>"]' readonly="readonly" onfocus="this.select();" />
    </span>
</div>
<?php } ?>

<div class="ff-filters-new">
    <div class="ff-filters-nav">
        <h2>
        <?php
            if($edit_option == ''){
                echo esc_html__('New filter', 'fffilter');
            } else {
                $filter_name = $this->getOption( $edit_option, 'filter_name' ); 
                echo esc_html($filter_name);
            }
        ?>
        </h2>
        <ul>
            <li class="active" data-tab="general"><?php echo esc_html__('General', 'fffilter'); ?></li>
            <li data-tab="filters"><?php echo esc_html__('Filters', 'fffilter'); ?></li>
            <li data-tab="single_post"><?php echo esc_html__('Single post', 'fffilter'); ?></li>
        </ul>
    </div>

    <div class="ff-filter-settings-wrap">
        <div class="ff-filter-settings">
            <div id="general" class="ff-filter-tab active">
                <?php 
                $this->getFields($this->optionsFields('new_form_general'), $edit_option);
                ?>
            </div>
            <div id="filters" class="ff-filter-tab">
                <?php 
                $this->getFields($this->optionsFields('new_form_filters', $edit_option), $edit_option);
                ?>
            </div>
            <div id="single_post" class="ff-filter-tab">
                <?php 
                $this->getFields($this->optionsFields('new_form_single_post'), $edit_option);
                ?>
            </div>
        </div>
    </div>
</div>